Переполнение буфера в Mabry Software FTPServer/X

Дата публикации:
18.07.2003
Дата изменения:
24.03.2010
Всего просмотров:
795
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:S/C:C/I:C/A:C/E:P/RL:U/RC:C) = Base:9/Temporal:8.1
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
FTPServer/X 1.x
Mollensoft FTP Server 3.x
Уязвимые версии:
FTPServer/X версии 1.00.047 и 1.00.056, возможно другие версии
Mollensoft FTP Server версии 3.5.2 и 3.6.0, возможно другие версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке аргументов, передаваемых FTP командам CWD, STAT, MKD, XMKD, RMD и NLST. Удаленный пользователь может с помощью специально сформированной FTP команды, длиной более 270 байт, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.mabry.com/ftpserv/index.htm

Решение: Способов устранения уязвимости не существует в настоящее время.

Журнал изменений:

24.03.2010
Изменено описание уязвимости.

Ссылки: dr_insane||MABRY ftp daemon 1.00.047 D0S

или введите имя

CAPTCHA